#!/usr/bin/env bash
set -e
parent_path=$( cd "$(dirname "${BASH_SOURCE[0]}")" || exit ; pwd -P )
cd "$parent_path" || exit

./lint.sh

./version_bump.sh "$1"

cd "$parent_path/docker/app" || exit
docker build --tag barker:latest .
cd "$parent_path/docker" || exit
docker save barker:latest | bzip2 | pv | ssh tanshu@knox.tanshu.com 'bunzip2 | sudo docker load'
ansible-playbook --limit=knox playbook-mhl.yml
ansible-playbook --limit=knox playbook-chd.yml
ansible-playbook --limit=knox playbook-pkl.yml
